<template>
  <Button
    :label="label"
    @click="$emit('handle-click', $event)"
    :icon="icon"
    :iconsPos="iconPos"
  />
</template>

<script lang="ts">
import { defineComponent, computed } from "vue"
import Button from "primevue/button"
export default defineComponent({
  props: {
    label: {
      type: String,
    },
    iconName: {
      type: String,
    },
    iconsPos: {
      type: String as () => "right" | "left",
    },
  },
  emits: ["handle-click"],
  components: {
    Button,
  },
  setup(props) {
    const icon = computed((): string => {
      return `pi pi-${props.iconName}`
    })

    return { icon }
  },
})
</script>
